Skip to content

upsertHoliday

WRITE

Upsert holiday.

POST /api/v1/people/upsertHoliday
curl -X POST '<your-host>/api/v1/people/upsertHoliday' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "date": "string",
    "_operation": "create"
  }'
Response
{
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "date": "string",
  "id": "string",
  "name": "string",
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string",
  "year": 0
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "date": {
      "type": "string",
      "minLength": 1
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "name",
    "date",
    "_operation"
  ]
}